File: control

package info (click to toggle)
alsa-lib 1.2.2-2.1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 7,516 kB
  • sloc: ansic: 90,655; sh: 4,422; makefile: 641
file content (119 lines) | stat: -rw-r--r-- 3,927 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
Source: alsa-lib
Section: libs
Priority: optional
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>,
           Elimar Riesebieter <riesebie@lxtec.de>,
           Luke Yelavich <themuso@ubuntu.com>
Build-Depends: debhelper-compat (= 12),
               python3-dev:native,
               libpython3-dev
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 4.5.0
Homepage: https://www.alsa-project.org/
Vcs-Git: https://salsa.debian.org/alsa-team/alsa-lib.git
Vcs-Browser: https://salsa.debian.org/alsa-team/alsa-lib
Rules-Requires-Root: no

Package: libasound2
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libasound2-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libasound2-plugins (>= 1.0.24)
Breaks: alsa-utils (<< 1.2.1)
Description: shared library for ALSA applications
 This package contains the ALSA library and its standard plugins, as well
 as the required configuration files.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-dev
Architecture: linux-any
Section: libdevel
Multi-Arch: same
Provides: libasound-dev
Depends: libasound2 (= ${binary:Version}), ${misc:Depends}
Suggests: libasound2-doc
Description: shared library for ALSA applications -- development files
 This package contains files required for developing software
 that makes use of libasound2, the ALSA library.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-data
Architecture: all
Depends: ${misc:Depends}
Recommends: alsa-ucm-conf, alsa-topology-conf
Suggests: alsa-utils
Breaks: libasound2 (<< ${source:Version})
Replaces: libasound2 (<< ${source:Version})
Multi-Arch: foreign
Description: Configuration files and profiles for ALSA drivers
 This package contains configuration files for ALSA drivers.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Package-Type: udeb
Description: shared library for ALSA applications (udeb)
 This package contains the ALSA library for use in the Debian Installer.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Suggests: libasound2-dev
Multi-Arch: foreign
Description: documentation for user-space ALSA application programming
 This package contains the HTML documentation for the ALSA library, which
 describes the development API for user-space applications that want to
 use ALSA.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-plugin-smixer
Architecture: linux-any
Depends: libasound2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: smixer plugin for ALSA library
 This package contains the smixer (Simple Mixer) interface for the ALSA
 library.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libatopology2
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: libasound2 (<< 1.2.1.1)
Breaks: libasound2 (<< 1.2.1.1)
Description: shared library for handling ALSA topology definitions
 This package contains the ALSA topology library.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libatopology-dev
Architecture: linux-any
Section: libdevel
Multi-Arch: same
Provides: libatopology-dev
Depends: libatopology2 (= ${binary:Version}), libasound2-dev, ${misc:Depends}
Replaces: libasound2-dev (<< 1.2.1.1)
Breaks: libasound2-dev (<< 1.2.1.1)
Description: shared library for handling ALSA topology -- development files
 This package contains files required for developing software
 that makes use of libatopology2, the ALSA topology library.
 .
 ALSA is the Advanced Linux Sound Architecture.